import React from "react"
import {Provider} from "react-redux"
import {render} from "react-dom"
import {Route, HashRouter} from "react-router-dom"
import {createHashHistory} from "history"
import Test1 from "./Test1"
import Test2 from "./Test2"
import Test3 from "./Test3"
import newScene from "./newScene"

const hashHistory = createHashHistory()

const teeMoStore = createStore().start();

const App = () =>
    <Provider store={teeMoStore.reduxStore}>
        <div>
            <h1>hello</h1>
            <ul>
                <li><a href="javascript:void(0);" onClick={() => hashHistory.push(`/test1`)}>test1</a></li>
                <li><a href="javascript:void(0);" onClick={() => hashHistory.push(`/test2`)}>test2</a></li>
                <li><a href="javascript:void(0);" onClick={() => hashHistory.push(`/test3`)}>test3</a></li>
            </ul>
            <HashRouter>
                <div>
                    <Route path="/test1" component={newScene(teeMoStore)(Test1)}/>
                    <Route path="/test2" component={Test2}/>
                    <Route path="/test3" component={Test3}/>
                </div>
            </HashRouter>
        </div>
    </Provider>

render(<App/>, document.querySelector("#app"))



